import request from '/@/utils/request';

export function appVersionApi() {
    return {

        //app版本分页列表
        getRecordPage: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/appVersion/page/list`,
                method: 'post',
                data: data
            });
        },

        //获取最新版本
        getRecordByNew: () => {
            return request({
                url: import.meta.env.VITE_API_URL + `/appVersion/lastest-release`,
                method: 'get'
            });
        },

        // app版本新增
        addRecord: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/appVersion/add`,
                method: 'post',
                data: data
            });
        },

        // app版本修改
        updateRecord: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/appVersion/mod`,
                method: 'post',
                data: data
            });
        },

        // app版本删除
        deleteRecord: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/appVersion/del`,
                method: 'post',
                data: data
            });
        },

        // 获取上传路径
        getUploadUrl: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/appVersion/presign`,
                method: 'post',
                data: data
            });
        },
    };
}
